<?php

require '../config.php';
$title='Агенство телохранителей';
who_add(0,'enter');
aut();
head();


$amarelle = mysql_fetch_array(mysql_query("SELECT * FROM `telochranitel` WHERE `user_id` = '".$inf['id']."'"));
if (isset($amarelle['user_id']) AND $amarelle['telochranitel_id'] >= 0){header ('Location: index?mod=myne');}

$user = mysql_fetch_array(mysql_query ("SELECT * FROM `users` WHERE `id` = '".$user['id']."'"));
$amarelle = mysql_fetch_array(mysql_query("SELECT * FROM `telochranitel` WHERE `user_id` = '".$user['id']."'"));
$cp = '';

switch ($act) {


case 'buy':
/*
-----------------------------------------------------------------
Агенство телохранителей
-----------------------------------------------------------------
*/
echo 'Пpивeт, <b>'.$user['user'].'</b>!<br/>';
echo 'У тeбя: <b>'.$user['rur'].'</b> рублей(я)<br/>';
echo '<br/>Вы можите выбрать для себя телохранителя. Телохранитель будут находится в вашей анкете одну неделю. По истечению недели телохранитель покинет вашу анкету.<br />';
//1
echo '<img src="img/1.png" alt="" /><br />';
echo '<p>Наталья [500]</p>';
$amarelle = mysql_fetch_array(mysql_query("SELECT * FROM `us_vip` WHERE `user_id` = '".$user['id']."'"));
if (isset($amarelle['user_id']) AND $amarelle['us_vip_id'] >= 1){
$ost = $realtime - $amarelle['time'];
if ($ost > 604800) mysql_query("UPDATE `us_vip` SET `us_vip_id` = '0', `time` = '0' WHERE `user_id` = '".$inf['id']."'");
echo '- <a href="?act=ok&amp;select=1">Нанять телохранителя</a><br />';
}else{
if ($user['rur'] >= 500) {
echo '- <a href="?act=ok&amp;select=1">Нанять телохранителя</a><br />';
}else{
echo '- Нанять телохранителя<br />';
}
}
//2

echo '<br />';
echo '<img src="img/2.png" alt="" /><br />';
echo '<p>Светлана [400]</p>';
$amarelle = mysql_fetch_array(mysql_query("SELECT * FROM `us_vip` WHERE `user_id` = '".$user['id']."'"));
if (isset($amarelle['user_id']) AND $amarelle['us_vip_id'] >= 1){
$ost = $realtime - $amarelle['time'];
if ($ost > 604800) mysql_query("UPDATE `us_vip` SET `us_vip_id` = '0', `time` = '0' WHERE `user_id` = '".$inf['id']."'");
echo '- <a href="?act=ok&amp;select=2">Нанять телохранителя</a><br />';
}else{
if ($user['rur'] >= 400) {
echo '- <a href="?act=ok&amp;select=2">Нанять телохранителя</a><br />';
}else{
echo '- Нанять телохранителя<br />';
}
}
//3

echo '<br />';
echo '<img src="img/3.png" alt="" /><br />';
echo '<p>Марина [250]</p>';
$amarelle = mysql_fetch_array(mysql_query("SELECT * FROM `us_vip` WHERE `user_id` = '".$user['id']."'"));
if (isset($amarelle['user_id']) AND $amarelle['user_vip_id'] >= 1){
$ost = $realtime - $amarelle['time'];
if ($ost > 604800) mysql_query("UPDATE `us_vip` SET `us_vip_id` = '0', `time` = '0' WHERE `user_id` = '".$inf['id']."'");
echo '- <a href="?act=ok&amp;select=3">Нанять телохранителя</a><br />';
}else{
if ($user['rur'] >= 250) {
echo '- <a href="?act=ok&amp;select=3">Нанять телохранителя</a><br />';
}else{
echo '- Нанять телохранителя<br />';
}
}
//4
echo '<br />';
echo '<img src="img/guns_22.jpg" alt="" /><br />';
echo '<p>Карина [300]</p>';
$amarelle = mysql_fetch_array(mysql_query("SELECT * FROM `us_vip` WHERE `user_id` = '".$user['id']."'"));
if (isset($amarelle['user_id']) AND $amarelle['us_vip_id'] >= 1){
$ost = $realtime - $amarelle['time'];
if ($ost > 604800) mysql_query("UPDATE `us_vip` SET `us_vip_id` = '0', `time` = '0' WHERE `user_id` = '".$inf['id']."'");
echo '- <a href="?act=ok&amp;select=4">Нанять телохранителя</a><br />';
}else{
if ($user['rur'] >= 300) {
echo '- <a href="?act=ok&amp;select=4">Нанять телохранителя</a><br />';
}else{
echo '- Нанять телохранителя<br />';
}
}
//5
echo '<br />';
echo '<img src="img/images.jpeg" alt="" /><br />';
echo '<p>Диана [550]</p>';
$amarelle = mysql_fetch_array(mysql_query("SELECT * FROM `us_vip` WHERE `user_id` = '".$user['id']."'"));
if (isset($amarelle['user_id']) AND $amarelle['us_vip_id'] >= 1){
$ost = $realtime - $amarelle['time'];
if ($ost > 604800) mysql_query("UPDATE `us_vip` SET `us_vip_id` = '0', `time` = '0' WHERE `user_id` = '".$inf['id']."'");
echo '- <a href="?act=ok&amp;select=5">Нанять телохранителя</a><br />';
}else{
if ($user['rur'] >= 550) {
echo '- <a href="?act=ok&amp;select=5">Нанять телохранителя</a><br />';
}else{
echo '- Нанять телохранителя<br />';
}
}

echo '<br />';
echo gb.'<a href="'.H.'telochranitel">Назад</a>'.div;
echo '</div>';

break;

case myne:
echo 'У вас уже есть телохранитель!!';

break;

case 'ok':

/*
-----------------------------------------------------------------
Покупка
-----------------------------------------------------------------
*/
$select = abs(intval($_GET['select']));
$amarelle = mysql_fetch_array(mysql_query("SELECT * FROM `us_vip` WHERE `user_id` = '".$user['id']."'"));
if (isset($amarelle['user_id']) AND $amarelle['us_vip_id'] >= 1){
$ost = $realtime - $amarelle['time'];
if ($ost > 604800) mysql_query("UPDATE `us_vip` SET `us_vip_id` = '0', `time` = '0' WHERE `user_id` = '".$inf['id']."'");
if ($select == 1) $price = $user['rur'] - 0;
if ($select == 2) $price = $user['rur'] - 0;
if ($select == 3) $price = $user['rur'] - 0;
if ($select == 4) $price = $user['rur'] - 0;
if ($select == 5) $price = $user['rur'] - 0;
}else{
if ($select == 1) $price = $user['rur'] - 500;
if ($select == 2) $price = $user['rur'] - 400;
if ($select == 3) $price = $user['rur'] - 250;
if ($select == 4) $price = $user['rur'] - 300;
if ($select == 5) $price = $user['rur'] - 550;
}
echo 'Ваш телохранитель';
if ($select >= 1 AND $select <= 3) {
if ($price >= 0) {
echo '<p>Телохранитель нанят! Загляните в свою анкету</p>
- <a href="'.H.'info.php?nk='.$user['id'].'">В анкету</a>';
mysql_query("UPDATE `telochranitel` SET `telochranitel_id` = '$select', `time` = '$realtime' WHERE `user_id` = '".$user['id']."'");
mysql_query("UPDATE `users` SET `rur` = '$price' WHERE `id` = '".$user['id']."'");
}else{
echo 'Не надо хитрить!';
}
}else{
echo 'Такого телохранителя не существует!';
}
echo '</div>';
break;




default:

/*
-----------------------------------------------------------------
Отображаем главную страницу
-----------------------------------------------------------------
*/
if (isset($cp)) {
echo ''.$cp.'';
echo '<span style="float : left; padding : 2px;"><img src="logo.png" alt="" /></span>';
echo '<p>Вы хотите нанять телохранителя? Тогда заходите в наше агенство и украсьте вашу анкету телохранителем!</p>';
if (isset($amarelle['user_id']) AND $amarelle['telochranitel_id'] >= 0){
echo gb.'<a href="?act=buy">Нанять телохранителя</a><br/>'.div;
}else{
echo 'У вас уже есть телохранитель';}
if (!isset($amarelle['user_id'])) mysql_query("INSERT INTO `telochranitel` SET `user_id` = '".$user['id']."'");
}else{echo 'У вас уже есть телохранитель';}
break;



}

echo '<br />';
echo gb.'<a href="'.H.'enter">Прихожая</a><br/>'.div;
foot();
?>
